org.gradle.api.execution

## Interface TaskExecutionGraphListener

- All Known Implementing Classes:
    BuildLogger

      public interface TaskExecutionGraphListener

  A `TaskExecutionGraphListener` is notified when the `TaskExecutionGraph` has been populated. You can use this interface in your build file to perform some action based on the contents of the graph, before any tasks are actually executed.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `graphPopulated(TaskExecutionGraph graph)` This method is called when the `TaskExecutionGraph` has been populated, and before any tasks are executed.

- - ### Method Detail

    - #### graphPopulated

          void graphPopulated(TaskExecutionGraph graph)

      This method is called when the `TaskExecutionGraph` has been populated, and before any tasks are executed.

      Parameters:
        `graph` - The graph. Never null.